org.apache.xmlbeans.impl.store

## Class CharUtil

- java.lang.Object
- - org.apache.xmlbeans.impl.store.CharUtil

    public final class CharUtil
    extends Object

### Nested Class Summary

Nested Classes
`static class` `CharUtil.CharIterator`
`static class` `CharUtil.CharJoin`

### Field Summary

Fields
`int` `_cchSrc`
`int` `_offSrc`

### Constructor Summary

Constructors
Constructor and Description
`CharUtil(int charBufSize)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `clearThreadLocals()`
`static void` `dump(Object src, int off, int cch)`
`static void` `dumpChars(PrintStream p, Object src, int off, int cch)`
`CharUtil.CharIterator` `getCharIterator(Object src, int off, int cch)`
`CharUtil.CharIterator` `getCharIterator(Object src, int off, int cch, int start)`
`static void` `getChars(char[] chars, int start, Object src, int off, int cch)`
`static String` `getString(Object src, int off, int cch)`
`static void` `getString(StringBuffer sb, Object src, int off, int cch)`
`static CharUtil` `getThreadLocalCharUtil()`
`Object` `insertChars(int posInsert, Object src, int off, int cch, Object srcInsert, int offInsert, int cchInsert)`
`static boolean` `isValid(Object src, int off, int cch)`
`static boolean` `isWhiteSpace(char ch)`
`boolean` `isWhiteSpace(Object src, int off, int cch)`
`Object` `removeChars(int posRemove, int cchRemove, Object src, int off, int cch)`
`Object` `saveChars(Object srcSave, int offSave, int cchSave)`
`Object` `saveChars(Object srcSave, int offSave, int cchSave, Object srcPrev, int offPrev, int cchPrev)`
`Object` `stripLeft(Object src, int off, int cch)`
`Object` `stripRight(Object src, int off, int cch)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _offSrc

    public int _offSrc

#### _cchSrc

    public int _cchSrc

### Constructor Detail

#### CharUtil

    public CharUtil(int charBufSize)

### Method Detail

#### getCharIterator

    public CharUtil.CharIterator getCharIterator(Object src,
                                                 int off,
                                                 int cch)

#### getCharIterator

    public CharUtil.CharIterator getCharIterator(Object src,
                                                 int off,
                                                 int cch,
                                                 int start)

#### getThreadLocalCharUtil

    public static CharUtil getThreadLocalCharUtil()

#### getString

    public static void getString(StringBuffer sb,
                                 Object src,
                                 int off,
                                 int cch)

#### getChars

    public static void getChars(char[] chars,
                                int start,
                                Object src,
                                int off,
                                int cch)

#### getString

    public static String getString(Object src,
                                   int off,
                                   int cch)

#### isWhiteSpace

    public static boolean isWhiteSpace(char ch)

#### isWhiteSpace

    public final boolean isWhiteSpace(Object src,
                                      int off,
                                      int cch)

#### stripLeft

    public Object stripLeft(Object src,
                            int off,
                            int cch)

#### stripRight

    public Object stripRight(Object src,
                             int off,
                             int cch)

#### insertChars

    public Object insertChars(int posInsert,
                              Object src,
                              int off,
                              int cch,
                              Object srcInsert,
                              int offInsert,
                              int cchInsert)

#### removeChars

    public Object removeChars(int posRemove,
                              int cchRemove,
                              Object src,
                              int off,
                              int cch)

#### saveChars

    public Object saveChars(Object srcSave,
                            int offSave,
                            int cchSave)

#### saveChars

    public Object saveChars(Object srcSave,
                            int offSave,
                            int cchSave,
                            Object srcPrev,
                            int offPrev,
                            int cchPrev)

#### dump

    public static void dump(Object src,
                            int off,
                            int cch)

#### dumpChars

    public static void dumpChars(PrintStream p,
                                 Object src,
                                 int off,
                                 int cch)

#### isValid

    public static boolean isValid(Object src,
                                  int off,
                                  int cch)

#### clearThreadLocals

    public static void clearThreadLocals()